/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.reseller.model;

import com.google.api.client.json.GenericJson;

/**
 * JSON template for a customer.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Enterprise Apps Reseller API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Customer extends GenericJson {

  /**
   * The alternate email of the customer.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String alternateEmail;

  /**
   * The domain name of the customer.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String customerDomain;

  /**
   * The id of the customer.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String customerId;

  /**
   * Identifies the resource as a customer.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The phone number of the customer.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String phoneNumber;

  /**
   * The postal address of the customer.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Address postalAddress;

  /**
   * The alternate email of the customer.
   * The value returned may be {@code null}.
   */
  public String getAlternateEmail() {
    return alternateEmail;
  }

  /**
   * The alternate email of the customer.
   * The value set may be {@code null}.
   */
  public Customer setAlternateEmail(String alternateEmail) {
    this.alternateEmail = alternateEmail;
    return this;
  }

  /**
   * The domain name of the customer.
   * The value returned may be {@code null}.
   */
  public String getCustomerDomain() {
    return customerDomain;
  }

  /**
   * The domain name of the customer.
   * The value set may be {@code null}.
   */
  public Customer setCustomerDomain(String customerDomain) {
    this.customerDomain = customerDomain;
    return this;
  }

  /**
   * The id of the customer.
   * The value returned may be {@code null}.
   */
  public String getCustomerId() {
    return customerId;
  }

  /**
   * The id of the customer.
   * The value set may be {@code null}.
   */
  public Customer setCustomerId(String customerId) {
    this.customerId = customerId;
    return this;
  }

  /**
   * Identifies the resource as a customer.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies the resource as a customer.
   * The value set may be {@code null}.
   */
  public Customer setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The phone number of the customer.
   * The value returned may be {@code null}.
   */
  public String getPhoneNumber() {
    return phoneNumber;
  }

  /**
   * The phone number of the customer.
   * The value set may be {@code null}.
   */
  public Customer setPhoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
    return this;
  }

  /**
   * The postal address of the customer.
   * The value returned may be {@code null}.
   */
  public Address getPostalAddress() {
    return postalAddress;
  }

  /**
   * The postal address of the customer.
   * The value set may be {@code null}.
   */
  public Customer setPostalAddress(Address postalAddress) {
    this.postalAddress = postalAddress;
    return this;
  }

}
